Subject: [dnssd] Fwd: New Version Notification for draft-pusateri-dnssd-update-proxy-00.txt

From: Tom Pusateri <[email-masked]>
Date: Tue, 12 Feb 2019 19:28:30 -0500

This new draft describes the DNS Update Proxy, a concept that I came up with and described briefly in my charter discussion in Montréal.

It provides the same functionality as the combination of the Discovery Proxy and the mDNS Relay but uses DNS Update instead of defining any new protocols.

I plan to discuss this in Prague if agenda time is available.

I would love to get some feedback on this even before Prague so that I may release another version before presenting.

I have begun an implementation in the Rust language and will be working on it during the Hackathon if anyone is interested in joining me.

The code has an MIT license and is available on Github: https://github.com/pusateri/rupdateproxy <https://github.com/pusateri/rupdateproxy>  The code currently listens for mDNS announcements and updates a cache and I am currently working on sending the DNS Updates to an authoritative server.

Enjoy,
Tom

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-pusateri-dnssd-update-proxy-00.txt
> Date: February 12, 2019 at 7:13:58 PM EST
> To: "Tom Pusateri" <[email-masked]>
> 
> 
> A new version of I-D, draft-pusateri-dnssd-update-proxy-00.txt
> has been successfully submitted by Tom Pusateri and posted to the
> IETF repository.
> 
> Name:		draft-pusateri-dnssd-update-proxy
> Revision:	00
> Title:		DNS Update Proxy for mDNS
> Document date:	2019-02-12
> Group:		Individual Submission
> Pages:		16
> URL:            https://www.ietf.org/internet-drafts/draft-pusateri-dnssd-update-proxy-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-pusateri-dnssd-update-proxy/
> Htmlized:       https://tools.ietf.org/html/draft-pusateri-dnssd-update-proxy-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-pusateri-dnssd-update-proxy
> 
> 
> Abstract:
>   This document describes a method to dynamically map multicast DNS
>   announcements into the unicast DNS namespace for use by service
>   discovery clients.  It does not define any new protocols but uses
>   existing DNS protocols in new ways.  This solves existing problems
>   with service discovery across multiple IP subnets in a simple, yet
>   efficient, manner.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>